<?php

// 应用公共文件

use think\facade\Env;

/**
 * debug日志 
 */
function debug_log($filename, $data)
{
    if (Env::get('APP_DEBUG')) {
        $file = runtime_path() . '/log/' . date("Y-m-d", time()) . "/" . $filename . ".log";
        $folder = dirname($file);
        if (!is_dir($folder)) {
            mkdir($folder, 0777, true);
        }
        if (is_array($data)) {
            $data = json_encode($data);
        }
        file_put_contents($file, '[' . date('Y-m-d H:i:s') . ']' . $data . PHP_EOL, FILE_APPEND);
    }
}

